xquery version "3.1";
(
(: register REST APIs :)
for $uri at $pos in (collection("/db/apps")/base-uri())[ends-with(., ".xqm")]
let $content := $uri => util:binary-doc() => util:base64-decode()
let $isRest := if(contains($content, "%rest:")) then true() else false()
where $isRest
return
    exrest:register-module(xs:anyURI($uri)),

(: TESTS :)
(let $doc := doc("expath-pkg.xml")//*:package,
    $app := string($doc/@abbrev),
    $version := string($doc/@version),
    $node :=
      <tests application="{$app}" version="{$version}">
        {util:eval(xs:anyURI("./modules/fontane/tests.xq"))}
      </tests>
return
    util:log-system-out($node)
)
)
